<template>
  <div class="modal-container" id="confirmModal">
    <div class="modal-header"></div>
    <div class="modal-body">
      <div class="form-group">
        <p>
          {{ $t('dashboard.buy.confirm.p1') }} <b>{{ this.modalData.token_amount | formatCurrencyAmount('eth', 0) }}</b> {{ $t('dashboard.buy.confirm.p2') }}
          <br>
          {{ $t('dashboard.buy.confirm.p3') }} <b>{{ this.modalData.currency | uppercase }}</b>?</p>
      </div>
      <div class="text-center">
        <button type="button" class="btn btn-close" @click="closeModal()">{{ $t('common.no') }}</button>
        <button type="button" class="btn btn-buy" @click="buyToken()">{{ $t('common.yes') }}</button>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    props: {
      modalData: {
        type: Object,
        required: true,
      }
    },
    methods: {
      closeModal () {
        this.$broadcast('close-modal', this);
      },
      buyToken () {
        this.closeModal();
        this.modalData.callback();
      },
    },
  };
</script>

<style lang="scss" scoped>
  @import '../../../../sass/_variables.scss';
  * {
    font-family: $font-family-home;
  }
  #confirmModal {
    width: 450px;
    min-height: 180px;
    border-radius: 10px;
    background-color: #f7f7f7;
    box-shadow: 0 2px 40px 0 rgba(0, 0, 0, 0.18);
    margin: auto;
    .modal-header {
      padding: 0;
      border: none;
      position: relative;
    }
    .modal-body {
      margin: 0;
      padding: 0 20px;
      .form-group {
        text-align: center;
        background: none;
        margin: 37px auto 0;
        position: relative;
        padding: 0 0px 4px;
        width: 100%;
        font-size: 14px;
      }
      .text-center {
        padding-bottom: 20px;
      }
      .btn-close,
      .btn-buy {
        width: 160px;
        height: 40px;
        border-radius: 30px;
        font-size: $tiny;
        font-weight: bold;
        font-style: normal;
        font-stretch: normal;
        letter-spacing: 0.5px;
        text-align: center;
        outline: none;
        cursor: pointer;
        text-transform: uppercase;
      }
      .btn-close {
        color: $orange;
        border: solid 1px $dark_orange;
        background: transparent;
        margin-right: 7px;
      }
      .btn-buy {
        color: $white;
        border: solid 1px $orange;
        background: $orange;
        transition: all 0.3s ease-in-out;
        &.active,
        &:hover {
          background-color: $dark_orange;
          color: $white;
        }
      }
    }
  }
</style>
